> ## Documentation Index
> Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Sync Config

> Retrieve the sync config for your organization.



## OpenAPI

````yaml GET /core/syncs/config
openapi: 3.0.1
info:
  title: rootfi
  version: v3
servers:
  - url: https://api.rootfi.dev/v3
    description: global
  - url: https://api.sa.rootfi.dev/v3
    description: saudi
security: []
paths:
  /core/syncs/config:
    get:
      tags:
        - CoreSyncs
      summary: Get Sync Config
      description: Retrieve the sync config for your organization.
      operationId: core_syncs_config
      parameters:
        - name: category
          in: query
          description: The integration category whose sync config you want to retrieve
          required: true
          schema:
            $ref: '#/components/schemas/IntegrationCategory'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/coregetSyncConfigObject'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    IntegrationCategory:
      title: IntegrationCategory
      type: string
      enum:
        - ACCOUNTING
        - PAYMENTS
        - CRM
        - ECOMMERCE
        - CUSTOM
    coregetSyncConfigObject:
      title: coregetSyncConfigObject
      type: object
      description: The data of the sync config endpoint
      properties:
        sync_config:
          type: array
          items:
            $ref: '#/components/schemas/SyncConfigData'
          description: The sync configuration data for your organization
      required:
        - sync_config
    RootFiAPIResponseType:
      title: RootFiAPIResponseType
      type: object
      properties:
        error:
          $ref: '#/components/schemas/RootFiAPIResponseErrorType'
          description: The error message
      required:
        - error
    SyncConfigData:
      title: SyncConfigData
      type: object
      properties:
        enabled:
          type: boolean
          description: The status of the sync configuration
          example: true
        interval:
          type: integer
          description: The interval of the sync configuration
          example: 1
        frequency:
          $ref: '#/components/schemas/SyncFrequency'
          description: The frequency of the sync configuration
        data_model:
          $ref: '#/components/schemas/DataModels'
          description: The data model of the sync configuration
        category:
          $ref: '#/components/schemas/IntegrationCategory'
          description: The category of the datamodel
        scope_access:
          $ref: '#/components/schemas/ScopeAccess'
          description: The scope access of the sync configuration
        sync_from:
          type: string
          format: date-time
          nullable: true
          description: >-
            The date from which the data should be synced. If not provided, it
            will sync all historical data.
        custom_fields:
          type: array
          items:
            type: string
          nullable: true
          description: >-
            The custom field names to fetch during syncing (for Netsuite,
            Hubspot only)
      required:
        - enabled
        - interval
        - frequency
        - data_model
        - category
        - scope_access
    RootFiAPIResponseErrorType:
      title: RootFiAPIResponseErrorType
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        field:
          type: string
          description: The status of the error
      required:
        - message
        - code
        - field
    SyncFrequency:
      title: SyncFrequency
      type: string
      enum:
        - DAILY
        - WEEKLY
        - MONTHLY
        - YEARLY
    DataModels:
      title: DataModels
      type: string
      enum:
        - ACCOUNTS
        - BANK_ACCOUNTS
        - BILLS
        - BILL_PAYMENTS
        - COMPANY_INFO
        - CONTACTS
        - BILL_CREDIT_NOTES
        - INVOICE_CREDIT_NOTES
        - DOCUMENTS
        - EXPENSES
        - INVOICES
        - INVOICE_PAYMENTS
        - ITEMS
        - LINE_ITEMS
        - TAX_RATES
        - JOURNAL_ENTRIES
        - BANK_TRANSACTIONS
        - JOURNAL_LINES
        - PURCHASE_ORDERS
        - SALES_ORDERS
        - PHONE_NUMBERS
        - ADDRESSES
        - EXTERNAL_LINKS
        - CONTACT_PERSONS
        - INCOME_STATEMENT
        - BALANCE_SHEET
        - TRACKING_CATEGORIES
        - CASH_FLOW_STATEMENT
        - CURRENCIES
        - PAYMENT_CUSTOMERS
        - PAYMENT_INVOICES
        - PAYMENT_LINE_ITEMS
        - PAYMENT_ITEMS
        - PAYMENT_ORDERS
        - PAYMENT_TAX_RATES
        - PAYMENT_DISPUTES
        - PAYMENT_PAYMENTS
        - PAYMENT_REFUNDS
        - PAYMENT_PAYMENT_LINKS
        - PAYMENT_PAYOUTS
        - PAYMENT_ADDRESSES
        - PAYMENT_PHONE_NUMBERS
        - PAYMENT_EXTERNAL_LINKS
        - PAYMENT_TRANSACTIONS
        - PAYMENT_BALANCES
        - ECOMMERCE_ORDERS
        - ECOMMERCE_CUSTOMERS
        - ECOMMERCE_PRODUCTS
        - ECOMMERCE_LINE_ITEMS
        - CRM_CONTACTS
        - CRM_COMPANIES
        - CRM_DEALS
        - CRM_LEADS
        - CRM_NOTES
        - CRM_PIPELINES
        - CRM_STAGES
        - CRM_ACTIVITIES
        - CRM_TASKS
        - CRM_USERS
        - CRM_EXTERNAL_LINKS
        - CRM_PHONE_NUMBERS
        - CRM_ADDRESSES
    ScopeAccess:
      title: ScopeAccess
      type: object
      properties:
        READ:
          type: boolean
          nullable: true
          description: The access of the scope
        CREATE:
          type: boolean
          nullable: true
          description: The access of the scope
        UPDATE:
          type: boolean
          nullable: true
          description: The access of the scope
        DELETE:
          type: boolean
          nullable: true
          description: The access of the scope
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api_key

````